/*root主体*/
:root{
    --background-color: #ebebeba9;
    --text-color: #000000;
    --head-color: #fff;
    --head-hover-color: #ffffff00;
    --footer-color: #3b3b3b;
    --main-color: #00be89;
    --main-hover-color: #00be8979;
    --daohang-color: #ffffff;
}

/*元素类*/
html, body {
    height: 100%;          /* 设置高度为100% */
    margin: 0;             /* 去除默认外边距 */
}

body{
    background-color: var(--background-color);
    font-size: 15px;
}

div{
    z-index: 1;
}

a{
    transition: color .6s ease-in-out;
    text-decoration: none;
    color: var(--text-color);
}

a:hover{
    color: var(--main-color);
}







/*定义元素类*/
#head{
    position: fixed;
    z-index: 100;
    width: 100%;
    height: auto;
    transition: all 500ms ease;
    color: var(--head-color);
    top: 0;
    left: 0;
    user-select: none;
}

.head{
    background-color: var(--head-hover-color);
    line-height: 55px;
}

.head.over{
    background-color: var(--head-color);
    line-height: 55px;
}

#head>div{
    display: flex;
    justify-content: right;
}

.logo{
    padding-left: 3%;
    position: absolute;
}

.logo>a{
    display: flex;
}

.logotext1{
    margin: 1% 0;
    font-size: 21px;
    font-weight: bold;
    letter-spacing: 0.1em;
    color: var(--text-color);
    font-family: "Ma Shan Zheng", cursive;
}

.logotext2{
    opacity: 0;
    color: var(--firstpag-color);
}

.logoimg{
    height: 70px;
    width: auto;
    color: var(--firstpag-color);
}

.daohang{
    z-index: 100;
    margin: 0 auto;
    height: 5%;
    
}

.daohang1{
    display: flex;
    align-items: center;
    margin-left: auto !important;
}

.daohang1>ul{
    list-style: none;
    margin: 0px;
    padding: 0px;
}

.menu>li{
    padding: 0 30px;
    position: relative;
    transition: color .6s ease-in-out;
    box-sizing: border-box;
}

.menu{
    display: inline-block;
}

.menu>li>a::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 50%; 
    right: 50%; 
    height: 3px;
    background-color: var(--main-hover-color);
    border-radius: 10px;
    transition: left 0.5s ease, right 0.5s ease;
}

.menu>li>a:hover::after {
    left: 0; 
    right: 0; 
    
}

ul>li{
    display: inline-block;
}

.menu>li.active::after {
    content: '';
    display: inline-block;
    position: absolute;
    bottom: 0;
    left: 0px;
    right: 0px;
    border-radius: 10px;
    height: 3px;
    background-color: var(--main-color);
}

.link{
    align-items: center;
    margin: 0 -3%;
    padding: 0 5px;
}

.link>a{
    background: transparent;
    display: inline-block;
    overflow: visible;
    border-radius: 10px;
    padding: 3px 7px;
    text-align: center;
    text-transform: none;
    transition: .8s;
    right: 1px;
}

.link>a:hover {
    background-color: var(--main-hover-color);
    color: var(--text-color);
}


/*主题开关button*/
.theme{
    margin-right: 30px;
}

.theme>img{
    height: 20px;
    width: 20px;
    vertical-align: middle;
    margin: 0 2px;
}

.themebut {
    position: relative;
    display: inline-block;
    height: 20px;
    width: 40px;
    vertical-align: middle;
    background: var(--background-color);
    border-radius: 2em;
    box-shadow: inset 0 0 4px -1px rgb(0 0 0 / 15%);
    transition: .4s ease-in-out;
    cursor: pointer;
    margin: 0 5px;
}

.themebut.active>i {
    right: 1px;
    left: auto;
    border: solid 3px #291964;
    
}

.themebut>i {
    position: absolute;
    left: 1px;
    top: 1px;
    bottom: 1px;
    display: inline-block;
    width: 32%;
    border: solid 3px #00a879;
    border-radius: 50%;
    transition: all .2s ease;
}

.back {
    position: fixed;
    bottom: 8%;
    right: 5%;
    cursor: pointer;
    text-align: center;
    border: var(--text-color) solid 2px;
    border-radius: 20%;
    visibility: hidden; 
    transition: opacity .7s ease-in;
}

.backbut {
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.backimg {
    width: 30px;
    height: 30px;
}

.back.visible{
    visibility: visible;
}

#lines {
    margin-top: -7px;
    margin-bottom: 30%;
    display: flex;
    flex-direction: column;
    gap: 4px; 
}

.line {
    height: 3px;
    background-color: var(--text-color);
    width: 10px;
    margin: 0 auto;
    opacity: 0; 
    transition: opacity .7s ease-in;
}

#line3{
    background-color: var(--text-color);
}

.line.visible {
    opacity: 1;
}

footer {
    position: fixed;
    background-color: var(--header-color);
    font-size: 12px;
    color: var(--footer-color);
    bottom: 0;
    left: 0;
    text-align: center;
    width: 100%;
    transition: color .6s ease-in-out;
    user-select: none;
  }
  
footer>hr{
    border: none;
    height: 1px;
    background-color: var(--footer-color);
    text-align: center;
    width: 90%;
}

.icp{
    color: var(--footer-color);
    margin: 0 3px;
    text-decoration: none;
    line-height:10px;
}

.logoimgfoot{
    width: auto;
    height: 20px;
    line-height: 0%;
    padding-right: 0.5%;
}

.footer-links{
    height: 32px;
    width: 100%;
}

.footer-content {
  margin: 0 auto;
}

.footer-links a {
  color: var(--footer-color);
  margin: 0 8px;
  text-decoration: none;
  line-height: 50px;
}

.footer-links a:hover {
  color: var(--main-color);
}

/*小屏(<=980px)*/
.min_list{
    min-width: 50px;
}

.list_but{
    display: none;
    height: 2px;
    width: 15px;
    background-color: var(--text-color);
    border-radius: 2px;
    position: relative;
    transition: .4s ease-in-out;
}

.list_but::before {
    content: "";
    bottom: -5px;
    position: absolute;
    background-color: inherit;
    transition: .4s ease-in-out;
    display: block;
    width: 15px;
    height: 2px;
    border-radius: 2px;
}
.list_but::after {
    content: "";
    top: -5px;
    position: absolute;
    background-color: inherit;
    transition: .4s ease-in-out;
    display: block;
    width: 15px;
    height: 2px;
    border-radius: 2px;
}

.min_list.active .list_but::before {
    transform: translate(0, -5px) rotate(-90deg);
}
.min_list.active .list_but::after {
    transform: translate(0, 5px) rotate(-90deg);
}
.min_list.active .list_but {
    transform: rotate(45deg);
}

@media screen and (max-width: 980px) {
    .logoimg{
        opacity: 0;
    }

    .logotext1{
        padding-top: 2px;
        margin-left: -15%;
        font-size: 15px;
        letter-spacing: 0.2em;
        color: var(--text-color);
        font-family: "Ma Shan Zheng", cursive;
    }

    .daohang1{
        pointer-events: none;
        position: absolute;
        text-align: center;
        top: 140%;
        right: 5%;
        opacity: 0;
        background-color: var(--daohang-color);
        transform: translateY(-10px);
        border-radius: 10px;
        padding-bottom: 1%;
    }

    .daohang1.active{
        display: block;
        opacity: 1;
        transition: opacity .6s ease-in;
        pointer-events: all;
    }

    .daohang .menu>li {
        display: block; 
        padding-bottom: 3%;
    }

    .daohang .theme{
        display: block;
        margin-right: 0;
        padding-bottom: 3%;
    }

    .min_list{
        text-align: center;
        margin: 0 8.5%;
    }

    .list_but{
        display: inline-block;
        text-align: center;
    }

    footer{
        font-size: 10px;
    }

    .footerp{
        margin: 8px 0;
    }

    .logoimgfoot{
        width: auto;
        height: 15px;
        line-height: 0%;
        padding-right: 0.5%;
    }
}

